copilots:
  - copilotUrn: "urn:not-configured:default"
    modelType: "gpt-4"
    provider: "gpt-legacy"
    temperature: 0
  - copilotUrn: "urn:dataFabricChatField:additionalInstructions"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0
    configuration:
      max_tokens: 4096
    promptTemplateKeys:
      - "AI_DATA_FABRIC_CHAT_INSTRUCTIONS"
  - copilotUrn: "urn:dataFabricInsights:visualizationBuilderCopilotUuid"
    modelType: "anthropic.claude-instant-v1"
    provider: "bedrock-messages"
    temperature: 0
    configuration:
      max_tokens: 4096
    promptTemplateKeys:
      - "recordTypeName"
      - "recordTypeDescription"
      - "fieldNamesAndTypes"
      - "relationshipNamesAndTypes"
      - "datasetResult"
  - copilotUrn: "urn:dataFabricInsights:haikuVizBuilderCopilotUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0
    configuration:
      max_tokens: 4096
    promptTemplateKeys:
      - "recordTypeName"
      - "recordTypeDescription"
      - "fieldNamesAndTypes"
      - "relationshipNamesAndTypes"
      - "datasetResult"
  - copilotUrn: "urn:pdfToInterface:requestPdfMetadataCopilotUuid"
    modelType: "highest-gpt"
    provider: "gpt-legacy"
    temperature: 0
  - copilotUrn: "urn:pdfToInterface:requestMetadataCopilotUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0.0
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:pdfToInterface:requestPdfTitleCopilotUuid"
    modelType: "gpt-4"
    provider: "gpt-legacy"
    temperature: 0
  - copilotUrn: "urn:pdfToInterface:requestTitleCopilotUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0.0
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:pdfToInterface:requestSailGenerationCopilotUuid"
    modelType: "highest-gpt"
    provider: "gpt-legacy"
    temperature: 1
  - copilotUrn: "urn:pdfToInterface:requestSailBodyCopilotUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0.0
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:studio:dataModelingCopilotUuid"
    modelType: "anthropic.claude-3-5-sonnet-20240620-v1:0"
    provider: "bedrock-messages"
    temperature: 0
    promptTemplateKeys:
      - "recordTypeName"
      - "recordTypeDescription"
      - "existingFieldsAndRelationships"
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:test-case-generation:testCaseGenerationUuidSonnet35"
    provider: "bedrock-messages"
    modelType: "anthropic.claude-3-5-sonnet-20240620-v1:0"
    temperature: 0.2
    promptTemplateKeys:
      - "existingTests"
      - "expression"
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:test-case-generation:testCaseGenerationUuidSonnet3"
    provider: "bedrock-messages"
    modelType: "anthropic.claude-3-sonnet-20240229-v1:0"
    temperature: 0.2
    promptTemplateKeys:
      - "existingTests"
      - "expression"
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:process-insights-generation.suggested-views:processInsightsViewSuggestionCopilotUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0.3
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:requirements:captureMainUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0.0
    promptTemplateKeys:
      - "context"
      - "reminders"
      - "personas"
      - "focused_action_id"
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:requirements:captureInitialUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0.2
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:requirements:captureInitialReadOnlyUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0.0
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:process-insights-generation.suggested-kpis:processInsightsKpiSuggestionCopilotUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0.4
    promptTemplateKeys:
      - "dualTimestamp"
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:process-insights-generation.insight-summary:processInsightsInsightSummarySuggestionCopilotUuid"
    modelType: "anthropic.claude-3-sonnet-20240229-v1:0"
    provider: "bedrock-messages"
    temperature: 0.3
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:process-insights-generation.insight-summary:processInsightsInsightSummarySuggestionCopilotUuid35"
    modelType: "anthropic.claude-3-5-sonnet-20240229-v1:0"
    provider: "bedrock-messages"
    temperature: 0.3
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:process-insights-generation.suggested-ad-hoc-events:processInsightsAdHocEventsSuggestionCopilotUuid"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    provider: "bedrock-messages"
    temperature: 0.8
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:requirements:captureDataModelUuid"
    modelType: "anthropic.claude-3-5-sonnet-20240620-v1:0"
    provider: "bedrock-messages"
    temperature: 0.15
    configuration:
      max_tokens: 4096
    promptTemplateKeys:
      - "application_plan"
  - copilotUrn: "urn:requirements:captureDataModelRefreshUuid"
    modelType: "anthropic.claude-3-5-sonnet-20240620-v1:0"
    provider: "bedrock-messages"
    temperature: 1.0
    configuration:
      max_tokens: 4096
    promptTemplateKeys:
      - "application_plan"
      - "yaml_erd"
  - copilotUrn: "urn:sdg:sampleDataMainUuidSonnet35"
    provider: "bedrock-messages"
    modelType: "anthropic.claude-3-5-sonnet-20240620-v1:0"
    temperature: 0.3
    promptTemplateKeys:
      - "name"
      - "numRows"
      - "date"
      - "fields"
      - "datatypes"
      - "displayNames"
      - "tableDescription"
      - "fieldDescriptions"
      - "additionalInstructions"
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:sdg:sampleDataMainUuidSonnet3"
    provider: "bedrock-messages"
    modelType: "anthropic.claude-3-sonnet-20240229-v1:0"
    temperature: 0.3
    promptTemplateKeys:
      - "name"
      - "numRows"
      - "date"
      - "fields"
      - "datatypes"
      - "displayNames"
      - "tableDescription"
      - "fieldDescriptions"
      - "additionalInstructions"
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:sdg:sampleDataRowUuidSonnet35"
    provider: "bedrock-messages"
    modelType: "anthropic.claude-3-5-sonnet-20240620-v1:0"
    temperature: 0.3
    promptTemplateKeys:
      - "name"
      - "numRows"
      - "date"
      - "rowDataInJson"
      - "idFields"
      - "primaryRecDetails"
      - "relatedRecDetails"
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:sdg:sampleDataRowUuidSonnet3"
    provider: "bedrock-messages"
    modelType: "anthropic.claude-3-sonnet-20240229-v1:0"
    temperature: 0.3
    promptTemplateKeys:
      - "name"
      - "numRows"
      - "date"
      - "rowDataInJson"
      - "idFields"
      - "primaryRecDetails"
      - "relatedRecDetails"
    configuration:
      max_tokens: 4096
  - copilotUrn: "urn:requirements:captureUxPlanningUuid"
    modelType: "anthropic.claude-3-5-sonnet-20240620-v1:0"
    provider: "bedrock-messages"
    temperature: 0.15
    configuration:
      max_tokens: 4096
    promptTemplateKeys:
      - "ux_artifacts_registry"
      - "rc_details"
      - "erd_details"
  - copilotUrn: "urn:iconGeneration:recommendIconUuid"
    provider: "bedrock-messages"
    modelType: "anthropic.claude-3-haiku-20240307-v1:0"
    temperature: 0.2
    promptTemplateKeys:
      - "inputText"
      - "knowledgeBase"
    configuration:
      max_tokens: 4096
